DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# PhysicalDimensionsIsIsotropic

Checks if the Physical Dimensions are isotropic

## SYNOPSIS

`#include "dip_support.h"`

dip_Error dip_PhysicalDimensionsIsIsotropic ( physDims, verdict )

## FUNCTION

This function checks whether the physical dimensions `physDims` are isotropic by checking that all its pixel dimensions and dimension units are equal to each other. If `verdict` is not zero, the result (`DIP_TRUE` or `DIP_FALSE`) is stored in `verdict`, otherwise an error is returned in case the verification fails.

## ARGUMENTS

Data type | Name | Description
`dip_PhysicalDimensions` | `physDims` | Physical Dimensions data structure
`dip_Boolean *` | `verdict` | Verdict of the test

## SEE ALSO

`PhysicalDimensionsNew`, `PhysicalDimensionsFree`, `PhysicalDimensionsCopy`

DIPlib on-line documentation | Function reference | Global function index